Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class RoleConstraint

    java.lang.Object
      edu.stanford.smi.protege.model.AbstractFacetConstraint
          edu.stanford.smi.protege.model.RoleConstraint

All Implemented Interfaces:
  FacetConstraint, Serializable

    public abstract class RoleConstraint

extends AbstractFacetConstraint

Value which determines whether a class can have direct instances. Abstract classes can have no direct instances.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static String` | `ABSTRACT`
`static String` | `CONCRETE`

Constructor Summary
`RoleConstraint()`

Method Summary
`static Collection` | `getValues()`
`static boolean` | `isAbstract(String s)`

Methods inherited from class edu.stanford.smi.protege.model.AbstractFacetConstraint
`areValidValues, equals, isValidValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.FacetConstraint
`getInvalidValuesText, getInvalidValueText, resolve`

Field Detail

### ABSTRACT

    public static final String ABSTRACT

See Also:
  Constant Field Values

### CONCRETE

    public static final String CONCRETE

See Also:
  Constant Field Values

Constructor Detail

### RoleConstraint

    public RoleConstraint()

Method Detail

### getValues

    public static Collection getValues()

### isAbstract

    public static boolean isAbstract(String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.